Subject: [Gen-art] Gen-ART Last Call review of draft-ietf-teas-rsvp-te-domain-subobjects-03

From: Brian E Carpenter <[email-masked]>
Date: Sat, 7 Nov 2015 11:25:11 +1300

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-teas-rsvp-te-domain-subobjects-03.txt
Reviewer: Brian Carpenter
Review Date: 2015-11-07
IETF LC End Date: 2015-11-09
IESG Telechat date:

Summary: Ready with issues
--------

Comment:
--------

Needs to be approved along with draft-ietf-pce-pcep-domain-sequence.

Major Issues:
-------------

> 3.2.1.  Autonomous system
>
>   [RFC3209] already defines 2-Byte AS number.
>
>   To support 4-Byte AS numbers as per [RFC6793], the following
>   subobject is defined:
>
>      0                   1                   2                   3
>      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |L|    Type     |     Length    |         Reserved              |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |                          AS-ID (4 bytes)                      |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

I don't understand why that is considered Experimental. It seems like
a major defect in RFC 3209 that needs to be fixed on the standards
track as soon as possible, independently of the present draft.

Minor Issues:
-------------

It would be nice to see a suggested timescale for the experiment in section 1.1.
How many years before this document should be evaluated?

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2015 10:36:35 +0530

Hi Brian,

Let me apologies again for keeping you waiting for a reply.

The reply to this would be the same as "Gen-ART telechat review of
draft-ietf-teas-rsvp-te-domain-subobjects-03" sent today.

We can continue the discussion on that thread?

Regards,
Dhruv